Bug 2059441 - Please branch and build libcbor in epel8
Summary: Please branch and build libcbor in epel8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: libcbor
Version: epel8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Davide Cavalca
QA Contact:
URL:
Whiteboard:
Depends On: 1808766
Blocks: EPELPackagersSIG 2059387
TreeView+ depends on / blocked
 
Reported: 2022-03-01 02:55 UTC by Gary Buhrmaster
Modified: 2022-07-17 02:06 UTC (History)
5 users (show)

Fixed In Version: libcbor-0.7.0-6.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-17 02:06:56 UTC
Type: Bug


Attachments (Terms of Use)
Patch for libcbor spec file to exclude docs (1.03 KB, patch)
2022-05-13 19:33 UTC, Gary Buhrmaster
no flags Details | Diff

Description Gary Buhrmaster 2022-03-01 02:55:37 UTC
Please branch and build libcbor in epel8.

Comment 1 Davide Cavalca 2022-04-06 16:58:56 UTC
Will you be able to branch and build libcbor in epel8?
The EPEL Packagers SIG would be happy to be a co-maintainer
if you do not wish to build it on epel8.

Comment 2 Gary Buhrmaster 2022-04-13 04:55:48 UTC
(In reply to Davide Cavalca from comment #1)
> Will you be able to branch and build libcbor in epel8?
> The EPEL Packagers SIG would be happy to be a co-maintainer
> if you do not wish to build it on epel8.

And while I am not sure that I am fully qualified to do so (last I looked, building libcbor on epel8 would require a build without docs due to different dependencies that are not going to be easily met), I am willing to be a co-maintainer in order to get libcbor into epel8 (and therefore libfido2 into epel8).

Test copr builds of libcbor (without docs) and libfido2 for epel8 can be found at: https://copr.fedorainfracloud.org/coprs/gtb/libfido2/

Please let us know how you wish to proceed.

Comment 3 Gary Buhrmaster 2022-04-13 05:04:08 UTC
I note that when I tried to add a "needsinfo" from Marek Tamaskovic (mtamasko) I get a message about the account being disabled.  I presume that means that the individual is no longer at RedHat.

I am not entirely sure how to proceed (is this an unresponsive maintainer case?).

As Jan Frieser (jfrieser) has been assigned the ticket for the newest upstream release in Fedora Rawhide, I am going to add them in as a needinfo user for additional advice as to ways to move forward.

And I am also willing to be a co-maintainer of libcbor for Fedora if that will help move things forward.

Comment 5 Attila Lakatos 2022-04-13 07:10:06 UTC
(In reply to Davide Cavalca from comment #1)
> Will you be able to branch and build libcbor in epel8?
> The EPEL Packagers SIG would be happy to be a co-maintainer
> if you do not wish to build it on epel8.

Hello, I've modified the settings of the project, so you should be able to add commits to the branches.
Users: ... dcavalca (commit) ...

Comment 6 Davide Cavalca 2022-04-13 15:32:38 UTC
Thanks, branch requested:

$ fedpkg request-branch epel8
https://pagure.io/releng/fedora-scm-requests/issue/43648

Comment 7 Davide Cavalca 2022-05-10 22:20:10 UTC
We're missing python3-breathe for this

Comment 8 Gary Buhrmaster 2022-05-13 19:33:52 UTC
Created attachment 1879528 [details]
Patch for libcbor spec file to exclude docs

While getting python3-breathe into epel8 may be useful in the longer term, the following patch to the libcbor spec file allows it to build without docs for epel, and may be sufficient to allow progress.

Comment 9 Fedora Update System 2022-07-15 22:15:57 UTC
FEDORA-EPEL-2022-a80a0e383e has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-a80a0e383e

Comment 10 Fedora Update System 2022-07-16 01:51:31 UTC
FEDORA-EPEL-2022-a80a0e383e has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-a80a0e383e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2022-07-17 02:06:56 UTC
FEDORA-EPEL-2022-a80a0e383e has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.